Package org.apache.sysds.runtime.controlprogram.federated.compression

## Class CompressionDecoderEndStatisticsHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.sysds.runtime.controlprogram.federated.compression.CompressionDecoderEndStatisticsHandler

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

    public class CompressionDecoderEndStatisticsHandler
    extends io.netty.channel.ChannelInboundHandlerAdapter

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
`CompressionDecoderEndStatisticsHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `channelRead​(io.netty.channel.ChannelHandlerContext ctx, Object msg)`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded, handlerRemoved`

### Constructor Detail

#### CompressionDecoderEndStatisticsHandler

    public CompressionDecoderEndStatisticsHandler()

### Method Detail

#### channelRead

    public void channelRead​(io.netty.channel.ChannelHandlerContext ctx,
                            Object msg)
                     throws Exception

Specified by:
  `channelRead` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `channelRead` in class `io.netty.channel.ChannelInboundHandlerAdapter`
Throws:
  `Exception`